Page MenuHomePhabricator

Legal wording update for tabular and map data release
Closed, ResolvedPublic

Description

After chatting today with Legal, we'll need to make the following changes to Maps and Tabular data help pages:

From @Slaporte: Here is my suggested copyright line for the data tables page:

Data available under Creative Commons Zero v1.0 Universal, or (at your option) any later version.

We can also shorten the CC0 text for the sake of readability, since specifying "v1.0 Universal" is redundant with the hyperlink, and especially now that there is only one version of CC0. I'd recommend using a short form like this for the sake of usability/readability:

Data available under Creative Commons Zero.

The shortened form is slightly less precise, but it is consistent with the human-readable approach we use in the footer and elsewhere.

On the edit page, you can use the same template as the MediaWiki help pages as Yuri suggested. You can also can also change the copyright message (above the save button) like this:

By saving changes, you agree to the Terms of Use, and you irrevocably agree to release your contribution to the public domain under CC0.

When users enter a license other than a valid version of CC0 (eg, "CC0-1.0+"), I would recommend revising the message that appears to explain the restriction in more detail and provide a link back to the help page with more info:

//We currently only accept public domain data under Creative Commons Zero. For the "license" parameter, you provided [some wrong license name]. The license must be: "CC0-1.0+"

For more information on licensing in tabular data, please see the documentation.//

Event Timeline

debt created this task.Dec 6 2016, 9:24 PM
Restricted Application added a project: Discovery. · View Herald TranscriptDec 6 2016, 9:24 PM

Change 325621 had a related patch set uploaded (by Yurik):
Per legal, add "license prompt"

https://gerrit.wikimedia.org/r/325621

Change 325621 merged by jenkins-bot:
Per legal, add "license prompt"

https://gerrit.wikimedia.org/r/325621

This looks good to me.

Change 325732 had a related patch set uploaded (by Yurik):
Override license messages for edit

https://gerrit.wikimedia.org/r/325732

debt added a comment.Dec 7 2016, 3:57 AM

Looks good!

Yurik added a comment.Dec 7 2016, 4:50 AM

LOL, turns out our CC0 help pages are not so "CC" - look at the very bottom of any help page (e.g. this one):

Text is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply. See Terms of Use for details.
debt added a comment.Dec 7 2016, 4:45 PM

@Slaporte is this ok to go forward? Where the data in the tables are clearly marked CC0, but the 'text' in the page is marked - by default - CC-by-SA 3.0?

Yurik added a comment.Dec 7 2016, 8:47 PM

Implemented at Data:Sample.tab -- first image shows "Data available under Creative Commons Zero" - both as part of the footer and as part of the actual page content. Second image - during editing, there is a header with the copyright symbol, and the footer with "By saving changes, you agree to the Terms of Use, and you irrevocably agree to release your contribution to the public domain under CC0." text.

Yurik added a comment.Dec 7 2016, 8:52 PM

Also, I have updated admin notes documentation to explain how the license error message may be changed.

Change 325732 merged by jenkins-bot:
Override license messages for edit

https://gerrit.wikimedia.org/r/325732

Yurik closed this task as Resolved.Dec 8 2016, 1:34 AM

Done. Feel free to reopen if anything is missing. You can experiment with it here in about 20 minutes, once it self-updates.